#
# spec file for package capnet-assist
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           capnet-assist
Version:        2.2.2
Release:        1.1
Summary:        Captive Portal Assistant
License:        GPL-3.0-only
Group:          Productivity/Networking/Other
URL:            https://elementary.io/
Source:         https://github.com/elementary/capnet-assist/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.28.0
BuildRequires:  pkgconfig(gcr-3)
BuildRequires:  pkgconfig(gcr-ui-3)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
Requires:       NetworkManager
Recommends:     %{name}-lang
Provides:       elementary-capnet-assist = %{version}
Obsoletes:      elementary-capnet-assist < %{version}

%description
Assists users in connective to Captive Portals such as those found on
public access points in train stations, coffee shops, universities, etc.
Upon detection, the assistant appears showing the captive portal. Once a
connection is known to have been established, it dismisses itself. Written
in Vala and using WebkitGtk+.

%lang_package

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install
%suse_update_desktop_file io.elementary.capnet-assist
%find_lang io.elementary.capnet-assist %{name}.lang
%fdupes %{buildroot}%{_datadir}/locale

%files
%license COPYING
%doc AUTHORS README*
%{_bindir}/io.elementary.capnet-assist
%{_datadir}/applications/io.elementary.capnet-assist.desktop
%{_datadir}/glib-2.0/schemas/io.elementary.capnet-assist.gschema.xml
%{_datadir}/metainfo/io.elementary.capnet-assist.appdata.xml
%dir %{_sysconfdir}/NetworkManager
%dir %{_sysconfdir}/NetworkManager/dispatcher.d
%{_sysconfdir}/NetworkManager/dispatcher.d/90captive_portal_test

%files lang -f %{name}.lang

%changelog
* Wed Oct 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.2.2:
  * Meson: Use GLib preset for l10n
  * Add a fake example captive portal and a screenshot (#37)
  * Merge branch 'origin/master' into Weblate
  * Add an appdata file (#36)
  * CertButton.vala: Wrap primary label (#35)
* Mon Oct  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.2.1:
  * This release includes updated translations.
* Sat Jun  9 2018 avvissu@yandex.by
- Update to 0.2.2:
  * use new symbolic security icons (#30)
  * Use native portal checking (#23)
  * Merge remote-tracking branch 'origin/master'
* Fri Jun  8 2018 avvissu@yandex.by
- Switch to git from bzr
- Switch to meson
- Buils with dependences: gconfig(glib-2.0) pkgconfig(gobject-2.0)
- Add NetworkManager as required dependency
- Remove obsolete macros
- Spec file cleanup
* Thu Jan 19 2017 avvissu@yandex.by
- Update to 0.2.1:
  * Change the capnet dummy URL address
  * Launchpad automatic translations update.
  * Add 2017 to license copyright and app years.
  * Add GSetting to enable the assistant
  * move the TLS popover code to the cert_button class
  * Pass Downloads to a web browser
  * New Window & tab requests are put into their own tabs
  * update translation template
  * CaptiveLogin.vala: Use the construct method
  * CaptiveLogin.vala:
  * Eliminate the variable view_security
  * Only check security once to assign style classes in the
    popover
  * CertButton.vala:
  * Make security a gettable property
  * Move captivity check to the application class
  * Update license header
  * return privacy mode without creating a variable
  * remove extra comment
* Tue Sep 20 2016 avvissu@yandex.by
- Add Recommends: capnet-assist-lang
* Sat Sep 10 2016 mailaender@opensuse.org
- update to version 0.2.0.1
* Thu Mar 10 2016 and.november@opensuse.org
- update
* Sat Sep 26 2015 and.november@opensuse.org
- initial package (version 0.1.1) for build.opensuse.org
